## cryptsetup 2.8.3

=== debian/changelog ===
cryptsetup (2:2.8.3-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
      cache passphrase for multiple filesystems.
  * Merging upstream version 2:2.8.3.
  * Merging debian version 2:2.8.3-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Dec 2025 21:29:34 +0100

cryptsetup (2:2.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 19 Dec 2025 15:53:17 +0100

cryptsetup (2:2.8.2-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
      cache passphrase for multiple filesystems.
  * Merging upstream version 2:2.8.2.
  * Merging debian version 2:2.8.2-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Dec 2025 07:18:18 +0100

cryptsetup (2:2.8.1-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
      cache passphrase for multiple filesystems.
  * Merging debian version 2:2.8.1-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 12 Dec 2025 09:28:18 +0100

cryptsetup (2:2.8.1-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
      cache passphrase for multiple filesystems.
  * Merging upstream version 2:2.8.1.
  * Merging debian version 2:2.8.1-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Aug 2025 06:15:42 +0200

cryptsetup (2:2.8.0-3~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
      cache passphrase for multiple filesystems.
  * Merging debian version 2:2.8.0-3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 13 Aug 2025 15:40:53 +0200

cryptsetup (2:2.8.0-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
    - Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
      cache passphrase for multiple filesystems.
  * Merging debian version 2:2.8.0-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Aug 2025 19:32:33 +0200

cryptsetup (2:2.8.0-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Using decrypt_keyctl by default if no keyscript in /etc/crypttab to
    cache passphrase for multiple filesystems.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Jul 2025 13:16:51 +0200
