## cryptsetup 2.8.4

=== debian/changelog ===
cryptsetup (2:2.8.4-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130707). Remaining changes:
    - d/tests/utils/mkinitramfs: Support zstd compressed modules for self test
    - d/rules: Compile-in support for a FIPS mode. LP #2032659
    - d/control: Recommend plymouth
    - d/control: Depend on busybox-initramfs instead of busybox |
      busybox-static.
    - d/control: Move cryptsetup-initramfs back to cryptsetup Recommends
    - d/{control,rules}: Disable building cryptsetup-suspend on i386
    - d/initramfs/cryptroot-unlock: Fix busybox/narrow compat LP #1968636
    - d/tests: Fix autopkgtests
    - d/{functions,initramfs/hooks/cryptroot}: Fix ZFS root warning/error
      + d/functions: Return an empty devno for ZFS devices as they don't have
        major:minor device numbers.
      + d/initramfs/hooks/cryptroot: Ignore and don't print an error message
        when devices don't have a devno.
  * d/p/{no-dd-direct-flags-tmpfs,series}: Disable O_DIRECT on tmpfs
  * d/tests/utils/mkinitramfs: Prevent linking attempt if file exists
  * d/tests/control: Add cpio autopkgtest dependency

 -- Max Gilmour <max.gilmour@canonical.com>  Mon, 09 Feb 2026 09:56:46 -0800

cryptsetup (2:2.8.4-1) unstable; urgency=medium

  * New upstream bugfix release.

  [ Guilhem Moulin ]
  * d/t/cryptroot-*: Use default QEMU machine type and lower host CPU count
    threshold for >1 vCPU guests.  This might fix #1123760.
  * d/t/cryptroot-*: Load `md_mod` kernel module before calling mdadm(8).
  * d/t/cryptroot-*: Explicitly install initramfs-tools as extra package.
  * DEP-8: Add `Depends: initramfs-tools-core` for initramfs-hook and
    initramfs-hook-legacy.
  * DEP-8: Temporarily disable cryptroot-nested test.
  * Update Standards-Version to 4.7.3.
    + Remove "Priority: optional" which is the current default and spelling it
      out is no longer recommended per Policy.

  [ Huey Chen ]
  * Fix typo in cryptsetup-suspend-wrapper. (Closes: #1123990)

  [ Yangfl ]
  * Add Chinese debconf templates translations. (Closes: #1124408)

  [ Paul Richards ]
  * Add support for `tcrypt-system` crypttab(5) option. (Closes: #1037973)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 27 Jan 2026 17:27:23 +0100

cryptsetup (2:2.8.0-1ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:25:37 +0100
