=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: cryptsetup
 Section: admin
-Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
-XSBC-Original-Uploaders: Jonas Meurer <jonas@freesources.org>,
+Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
-Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: asciidoctor <!nodoc>,
                autoconf,
                automake (>= 1:1.12),
@@ -33,12 +30,10 @@
                uuid-dev,
                xsltproc <!nodoc>,
                xxd <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
-Vcs-Browser: https://git.progress-linux.org/horok-backports/cryptsetup
-Vcs-Git: https://git.progress-linux.org/horok-backports/cryptsetup
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
-XSBC-Original-Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
+Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
 
 Package: cryptsetup
 Architecture: linux-any
@@ -48,8 +43,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: cryptsetup-nuke-password (<< 5~)
-Recommends: keyutils,
-Suggests: cryptsetup-initramfs, dosfstools, liblocale-gettext-perl
+Recommends: cryptsetup-initramfs
+Suggests: dosfstools, keyutils, liblocale-gettext-perl
 Description: disk encryption support - startup scripts
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -98,11 +93,11 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox | busybox-static,
+Depends: busybox-initramfs,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd
+Recommends: console-setup, kbd, plymouth
 Breaks: cryptsetup (<< 2:2.0.3-1), libcryptsetup12 (<< 2:2.7.2-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Conflicts: lvm2 (<< 2.03.15-1)
@@ -115,7 +110,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: linux-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,
