=== debian/watch ===
Version: 5
Mode: git
Pgp-Mode: gittag
Uversion-Mangle: s/-(alpha|beta|rc)(\d*)$/~$1$2/
Compression: gzip
Source: https://gitlab.com/cryptsetup/cryptsetup.git
Matching-Pattern: refs/tags/@ANY_VERSION@
